# ``igraph`.`statistics`.`Histogram``

class documentation

`class Histogram: (source)`

Constructor: `Histogram(bin_width, data)`

View In Hierarchy

Generic histogram class for real numbers

Example:

    >>> h = Histogram(5)     # Initializing, bin width = 5
    >>> h << [2,3,2,7,8,5,5,0,7,9]     # Adding more items
    >>> print(h)
    N = 10, mean +- sd: 4.8000 +- 2.9740
    [ 0,  5): **** (4)
    [ 5, 10): ****** (6)

Method | `__init__` | Initializes the histogram with the given data set.
Method | `__plot__` | Plotting support
Method | `__str__` | Undocumented
Method | `add` | Adds a single number to the histogram.
Method | `add_many` | Adds a single number or the elements of an iterable to the histogram.
Method | `bins` | Generator returning the bins of the histogram in increasing order
Method | `clear` | Clears the collected data
Method | `to_string` | Returns the string representation of the histogram.
Property | `mean` | Returns the mean of the elements in the histogram
Property | `n` | Returns the number of elements in the histogram
Property | `sd` | Returns the standard deviation of the elements in the histogram
Property | `var` | Returns the variance of the elements in the histogram
Method | `_get_bin` | Returns the bin index corresponding to the given number.
Instance Variable | `_bin_width` | Undocumented
Instance Variable | `_bins` | Undocumented
Instance Variable | `_max` | Undocumented
Instance Variable | `_min` | Undocumented
Instance Variable | `_running_mean` | Undocumented

def __init__(self, bin_width=1, data=None): (source)

Initializes the histogram with the given data set.

Parameters
bin_width | the bin width of the histogram.
data | the data set to be used. Must contain real numbers.

def __plot__(self, backend, context, **kwds): (source)

Plotting support

def __str__(self): (source)

Undocumented

def add(self, num, repeat=1): (source)

Adds a single number to the histogram.

Parameters
num | the number to be added
repeat | number of repeated additions

def add_many(self, data): (source)

Adds a single number or the elements of an iterable to the histogram.

Parameters
data | the data to be added

def bins(self): (source)

Generator returning the bins of the histogram in increasing order

Returns
a tuple with the following elements: left bound, right bound, number of elements in the bin

def clear(self): (source)

Clears the collected data

def to_string(self, max_width=78, show_bars=True, show_counts=True): (source)

Returns the string representation of the histogram.

Parameters
max_width | the maximal width of each line of the string This value may not be obeyed if it is too small.
show_bars | specify whether the histogram bars should be shown
show_counts | specify whether the histogram counts should be shown. If both show_bars and show_counts are `False`, only a general descriptive statistics (number of elements, mean and standard deviation) is shown.

@property
mean = (source)

Returns the mean of the elements in the histogram

@property
n = (source)

Returns the number of elements in the histogram

@property
sd = (source)

Returns the standard deviation of the elements in the histogram

@property
var = (source)

Returns the variance of the elements in the histogram

def _get_bin(self, num, create=False): (source)

Returns the bin index corresponding to the given number.

Parameters
num | the number for which the bin is being sought
create | whether to create a new bin if no bin exists yet.

Returns
the index of the bin or `None` if no bin exists yet and {create} is `False`.

_bin_width = (source)

Undocumented

_bins: `list` = (source)

Undocumented

_max = (source)

Undocumented

_min = (source)

Undocumented

_running_mean = (source)

Undocumented